### Enumeration

# Qmi DmsFoxconnDeviceMode

since: 1.26

#### Declaration

    enum Qmi.DmsFoxconnDeviceMode

#### Description [src]

Foxconn specific device modes.

Available since: 1.26

#### Members

`QMI_DMS_FOXCONN_DEVICE_MODE_UNKNOWN`

  Unknown mode.

  - Value: `0`
  - Available since: 1.26
`QMI_DMS_FOXCONN_DEVICE_MODE_FASTBOOT_ONLINE`

  Fastboot download mode for full partition files.

  - Value: `5`
  - Available since: 1.26
`QMI_DMS_FOXCONN_DEVICE_MODE_FASTBOOT_OTA`

  Fastboot download mode for OTA files.

  - Value: `10`
  - Available since: 1.26

#### Type functions

###### qmi_dms_foxconn_device_mode_get_string

Gets the nickname string for the `QmiDmsFoxconnDeviceMode` specified at `val`.

since: 1.26